| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Interpolate::PolyReg2D< T > Class Template Reference
Algo

Interpolate 2D regularly sampled, using a 2nd order surface. More...

`#include <interpol2d.h>`

Inheritance diagram for Interpolate::PolyReg2D< T >:
[legend]

## Public Member Functions
| PolyReg2D (const T *, float xstretch=1)
| PolyReg2D (float xstretch=1)
| PolyReg2D (T vm10, T vm11, T v0m1, T v00, T v01, T v02, T v1m1, T v10, T v11, T v12, T v20, T v21, float xstretch=1)
T | apply (float x, float y) const override
void | set (const T *) override
void | set (T vm10, T vm11, T v0m1, T v00, T v01, T v02, T v1m1, T v10, T v11, T v12, T v20, T v21)
Public Member Functions inherited from Interpolate::Applier2D< T >
virtual | ~Applier2D ()

## Protected Attributes
T | delx2_ = 0.
T | delxm1_ = 0.
T | dely2_ = 0.
T | delym1_ = 0.
PolyReg1D< T > | ix0_
PolyReg1D< T > | ix1_
PolyReg1D< T > | iy0_
PolyReg1D< T > | iy1_
T | v02_ = 0.
T | v0m1_ = 0.
T | v20_ = 0.
T | vm10_ = 0.
float | xs_

## Detailed Description

template<class T>
class Interpolate::PolyReg2D< T >

Interpolate 2D regularly sampled, using a 2nd order surface.

Contrary to teh linear approach it does matter whether deltaX is different from deltaY. That is why you can supply an xstretch. If xstretch > 1 then the deltaX < deltaY, moreover: xstretch = deltaY / deltaX;

<>

## Constructor & Destructor Documentation

## ◆ PolyReg2D() [1/3]

template<class T >

Interpolate::PolyReg2D< T >::PolyReg2D | ( | float | xstretch = 1 | ) |
| inline

## ◆ PolyReg2D() [2/3]

template<class T >

Interpolate::PolyReg2D< T >::PolyReg2D | ( | const T * | v,
|  | float | xstretch = 1 )
| inline

## ◆ PolyReg2D() [3/3]

template<class T >

Interpolate::PolyReg2D< T >::PolyReg2D | ( | T | vm10,
|  | T | vm11,
|  | T | v0m1,
|  | T | v00,
|  | T | v01,
|  | T | v02,
|  | T | v1m1,
|  | T | v10,
|  | T | v11,
|  | T | v12,
|  | T | v20,
|  | T | v21,
|  | float | xstretch = 1 )
| inline

## Member Function Documentation

## ◆ apply()

template<class T >

T Interpolate::PolyReg2D< T >::apply | ( | float | x,
|  | float | y ) const
| inline override virtual

Implements Interpolate::Applier2D< T >.

## ◆ set() [1/2]

template<class T >

void Interpolate::PolyReg2D< T >::set | ( | const T * | v | ) |
| inline override virtual

Implements Interpolate::Applier2D< T >.

## ◆ set() [2/2]

template<class T >

void Interpolate::PolyReg2D< T >::set | ( | T | vm10,
|  | T | vm11,
|  | T | v0m1,
|  | T | v00,
|  | T | v01,
|  | T | v02,
|  | T | v1m1,
|  | T | v10,
|  | T | v11,
|  | T | v12,
|  | T | v20,
|  | T | v21 )
| inline

## Member Data Documentation

## ◆ delx2_

template<class T >

T Interpolate::PolyReg2D< T >::delx2_ = 0.
| protected

## ◆ delxm1_

template<class T >

T Interpolate::PolyReg2D< T >::delxm1_ = 0.
| protected

## ◆ dely2_

template<class T >

T Interpolate::PolyReg2D< T >::dely2_ = 0.
| protected

## ◆ delym1_

template<class T >

T Interpolate::PolyReg2D< T >::delym1_ = 0.
| protected

## ◆ ix0_

template<class T >

PolyReg1D<T> Interpolate::PolyReg2D< T >::ix0_
| protected

## ◆ ix1_

template<class T >

PolyReg1D<T> Interpolate::PolyReg2D< T >::ix1_
| protected

## ◆ iy0_

template<class T >

PolyReg1D<T> Interpolate::PolyReg2D< T >::iy0_
| protected

## ◆ iy1_

template<class T >

PolyReg1D<T> Interpolate::PolyReg2D< T >::iy1_
| protected

## ◆ v02_

template<class T >

T Interpolate::PolyReg2D< T >::v02_ = 0.
| protected

## ◆ v0m1_

template<class T >

T Interpolate::PolyReg2D< T >::v0m1_ = 0.
| protected

## ◆ v20_

template<class T >

T Interpolate::PolyReg2D< T >::v20_ = 0.
| protected

## ◆ vm10_

template<class T >

T Interpolate::PolyReg2D< T >::vm10_ = 0.
| protected

## ◆ xs_

template<class T >

float Interpolate::PolyReg2D< T >::xs_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025